package de.ozgcloud.alfa.vorgang;

import org.mapstruct.CollectionMappingStrategy;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueMappingStrategy;

import de.itvsh.kop.pluto.common.grpc.GrpcObjectMapper;
import de.itvsh.ozg.pluto.vorgang.GrpcServiceKonto;

@Mapper(collectionMappingStrategy = CollectionMappingStrategy.ADDER_PREFERRED, //
		nullValueMappingStrategy = NullValueMappingStrategy.RETURN_NULL, //
		uses = GrpcObjectMapper.class)
interface ServiceKontoMapper {

	@Mapping(target = "postfachAddress", ignore = true)
	@Mapping(target = "postfachAddresses", source = "postfachAddressesList")
	public ServiceKonto fromServiceKonto(GrpcServiceKonto serviceKonto);
}