package de.ozgcloud.alfa.statistic;

import de.itvsh.ozg.pluto.statistic.GrpcByStatusResult;

public class GrpcByStatusResultTestFactory {

	public static GrpcByStatusResult create() {
		return createBuilder().build();
	}

	public static GrpcByStatusResult.Builder createBuilder() {
		return GrpcByStatusResult.newBuilder()
				.setNeu(ByStatusTestFactory.NEU_COUNT)
				.setAngenommen(ByStatusTestFactory.ANGENOMMEN_COUNT)
				.setInBearbeitung(ByStatusTestFactory.IN_BEARBEITUNG_COUNT)
				.setBeschieden(ByStatusTestFactory.BESCHIEDEN_COUNT)
				.setAbgeschlossen(ByStatusTestFactory.ABGESCHLOSSEN_COUNT)
				.setVerworfen(ByStatusTestFactory.VERWORFEN_COUNT);
	}
}