package de.ozgcloud.alfa.vorgang;

import de.itvsh.ozg.pluto.vorgang.GrpcServiceKonto;
import de.ozgcloud.alfa.postfach.GrpcPostfachAddressTestFactory;

public class GrpcServiceKontoTestFactory {

	public static GrpcServiceKonto create() {
		return createBuilder().build();
	}

	public static GrpcServiceKonto.Builder createBuilder() {
		return GrpcServiceKonto.newBuilder()
				.setType(ServiceKontoTestFactory.TYPE)
				.addPostfachAddresses(GrpcPostfachAddressTestFactory.create());
	}
}
