import { Component, OnInit } from '@angular/core';
import { HintService } from '@goofy-client/hint-shared';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-hint-container',
	templateUrl: './hint-container.component.html',
	styleUrls: ['./hint-container.component.scss'],
})
export class HintContainerComponent implements OnInit {

	public hasUserNoOrganisationsEinheitIdHint$: Observable<boolean>;

	constructor(private hintService: HintService){ }

	ngOnInit(): void {
		this.hasUserNoOrganisationsEinheitIdHint$ = this.hintService.hasUserNoOrganisationsEinheitIdHint();
	}
}
