package de.ozgcloud.alfa;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties(prefix = GoofyProperties.PREFIX)
class GoofyProperties {

	static final String PREFIX = "goofy";

	/**
	 * Production mode.
	 */
	private boolean production = true;

}
