package de.ozgcloud.alfa.common.user;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties(prefix = "grpc.client.user-manager")
public class UserManagerClientProperties {
	
	/**
	 * UserManager grpc adress.
	 */
	private String address;
	
	/**
	 * UserManager grpc negotiationType.
	 */
	private String negotiationType;
}
