package de.ozgcloud.alfa.export;

import java.util.stream.Stream;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.ozgcloud.alfa.vorgang.VorgangWithEingang;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

@Builder
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
class ExportData {

	private VorgangWithEingang vorgang;
	private String exportFilename;
	private String xmlFileContent;
	private Stream<OzgFile> exportFiles;

}
