import { CommandOrder, CreateCommand } from "@goofy-client/command-shared";
import { buildCreateBescheidCommand, isCreateBescheidCommand } from "./bescheid.util";

describe('BescheidUtil', () => {

	describe('buildCreateBescheidCommand', () => {

		it('should have order', () => {
			const command: CreateCommand = buildCreateBescheidCommand();

			expect(command.order).toEqual(CommandOrder.CREATE_BESCHEID);
		})

		it('should have body', () => {
			const command: CreateCommand = buildCreateBescheidCommand();

			expect(command.body).toBeNull();
		})
	})

	describe('isCreateBescheidCommand', () => {

		it('should return true on matching command', () => {
			const isCommand: boolean = isCreateBescheidCommand(CommandOrder.CREATE_BESCHEID);

			expect(isCommand).toBeTruthy();
		})
	})
})