import { CommandOrder, CreateCommand } from '@goofy-client/command-shared';

export function isVorgangZumLoeschenMarkierenCommand(order: CommandOrder): boolean {
	return order === CommandOrder.VORGANG_ZUM_LOESCHEN_MARKIEREN;
}

export function createVorgangZumLoeschenMarkierenCommand(): CreateCommand {
	return { order: CommandOrder.VORGANG_ZUM_LOESCHEN_MARKIEREN, body: null };
}

export function isVorgangLoeschenCommand(order: CommandOrder): boolean {
	return order === CommandOrder.VORGANG_LOESCHEN;
}

export function createVorgangLoeschenCommand(): CreateCommand {
	return { order: CommandOrder.VORGANG_LOESCHEN, body: null };
}

export function isLoeschAnforderungZuruecknehmen(order: CommandOrder): boolean {
	return order === CommandOrder.LOESCH_ANFORDERUNG_ZURUECKNEHMEN;
}

export function createLoeschAnforderungZuruecknehmenCommand(): CreateCommand {
	return { order: CommandOrder.LOESCH_ANFORDERUNG_ZURUECKNEHMEN, body: null };
}